Subject: Re: bug#59130: Inconsistent behaviour with key-translation-map

From: João Guerra <[email-masked]>
Date: Wed, 9 Nov 2022 18:17:13 +0100

> Note that `event-apply-hyper-modifier` has various limitations
> (e.g. you can't use `?\C-x ?@ ?h ?\C-x ?@ ?m a` to make a `H-M-a` event)
> so even if the above works it may not satisfy all your use cases.

Thanks for the clarification. Indeed I can do (define-key
key-translation-map (kbd "<apps>") #'event-apply-hyper-modifier).
However it has the limitations you described, as I cannot use Meta or
other modifiers with it.

Any suggestions on how to support this via lisp with something like
event-apply-hyper-modifier or hiperify (the example in the manual)?